# grapheme_strlen

(PHP 5 >= 5.3.0, PHP 7, PECL intl >= 1.0.0)

grapheme_strlen — Get string length in grapheme units

### Description

Procedural style

grapheme_strlen ( string `$input` ) : int

Get string length in grapheme units (not bytes or characters)

### Parameters

`input`

  The string being measured for length. It must be a valid UTF-8 string.

### Return Values

The length of the string on success, and 0 if the string is empty.

### Examples

Example #1 grapheme_strlen() example

`<?php
$char_a_ring_nfd = "a\xCC\x8A"; // 'LATIN SMALL LETTER A WITH RING ABOVE' (U+00E5) normalization form "D"
$char_o_diaeresis_nfd = "o\xCC\x88"; // 'LATIN SMALL LETTER O WITH DIAERESIS' (U+00F6) normalization form "D"
print grapheme_strlen( 'abc' . $char_a_ring_nfd . $char_o_diaeresis_nfd . $char_a_ring_nfd);
?>`

The above example will output:

    6

### See Also

- » Unicode Text Segmentation: Grapheme Cluster Boundaries
- iconv_strlen() - Returns the character count of string
- mb_strlen() - Get string length
- strlen() - Get string length